# Uses of Interface
org.eclipse.jdt.debug.core.IJavaMethodEntryBreakpoint

Packages that use IJavaMethodEntryBreakpoint
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaMethodEntryBreakpoint in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaMethodEntryBreakpoint
Modifier and Type
Method
Description
`static IJavaMethodEntryBreakpoint`
JDIDebugModel.`createMethodEntryBreakpoint(IResource resource, String typeName, String methodName, String methodSignature, int lineNumber, int charStart, int charEnd, int hitCount, boolean register, Map<String,Object> attributes)`
Creates and returns a method entry breakpoint with the specified criteria.